Debian Bug report logs - #579640
cron complains about missing lost+found dirs

version graph

Package: cron; Maintainer for cron is Javier Fernández-Sanguino Peña <jfs@debian.org>; Source for cron is src:cron.

Reported by: Bas Zoetekouw <bas@debian.org>

Date: Thu, 29 Apr 2010 12:27:02 UTC

Severity: important

Tags: confirmed

Found in versions cron/3.0pl1-109, cron/3.0pl1-105, cron/3.0pl1-118, cron/3.0pl1-120, cron/3.0pl1-123

Done: Javier Fernández-Sanguino Peña <jfs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
Bug#579640; Package cron. (Thu, 29 Apr 2010 12:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bas Zoetekouw <bas@debian.org>:
New Bug report received and forwarded. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>. (Thu, 29 Apr 2010 12:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bas Zoetekouw <bas@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cron complains about missing lost+found dirs
Date: Thu, 29 Apr 2010 14:15:31 +0200
Package: cron
Version: 3.0pl1-105
Severity: normal

Recently, cron has started complaining about missing lost+found
directories on my ext3 filesystems:

| Some local filesystems do not have lost+found directories. This
| means that these filesystems will not be able to recover
| lost files when the filesystem is checked after a crash.
| Consider creating a lost+found directory with mklost+found(8).

Please remove this "feature".  I have deleted the lost+found
directories myself, and I don't need a daily (!) reminder of that.

Furthermore, if the lost+found directories are needed, they are
created automatically by pass 3 of fsck.  Therefore, there is no need
at all, on a normal system, to keep these directories, let alone to
send a daily warning about them.

Thanks,
Bas.

-- System Information:
Debian Release: 5.0.4
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages cron depends on:
ii  adduser                   3.110          add and remove users and groups
ii  debianutils               2.30           Miscellaneous utilities specific t
ii  libc6                     2.7-18lenny2   GNU C Library: Shared libraries
ii  libpam0g                  1.0.1-5+lenny1 Pluggable Authentication Modules l
ii  libselinux1               2.0.65-5       SELinux shared libraries
ii  lsb-base                  3.2-20         Linux Standard Base 3.2 init scrip

Versions of packages cron recommends:
ii  exim4                         4.69-9     metapackage to ease Exim MTA (v4) 
ii  exim4-daemon-light [mail-tran 4.69-9     lightweight Exim MTA (v4) daemon

Versions of packages cron suggests:
pn  anacron                       <none>     (no description available)
pn  checksecurity                 <none>     (no description available)
ii  lockfile-progs                0.1.11-0.1 Programs for locking and unlocking
ii  logrotate                     3.7.1-5    Log rotation utility

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
Bug#579640; Package cron. (Fri, 30 Apr 2010 03:33:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Chubb <peter.chubb@nicta.com.au>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>. (Fri, 30 Apr 2010 03:33:12 GMT) Full text and rfc822 format available.

Message #10 received at 579640@bugs.debian.org (full text, mbox):

From: Peter Chubb <peter.chubb@nicta.com.au>
To: 579640@bugs.debian.org
Subject: cron complains about missing lost+found on XFS
Date: Fri, 30 Apr 2010 13:10:17 +1000
Version: 3.0pl1-109
Package: cron

XFS doesn't create or use lost+found by default, so there's no point
in complaining it doesn't exist.

--
Dr Peter Chubb                                  peter DOT chubb AT nicta.com.au
http://www.ertos.nicta.com.au               ERTOS within National ICT Australia
All things shall perish from under the sky/Music alone shall live, never to die




Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
Bug#579640; Package cron. (Fri, 30 Apr 2010 12:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Kastner <debian@kvr.at>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>. (Fri, 30 Apr 2010 12:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 579640@bugs.debian.org (full text, mbox):

From: Christian Kastner <debian@kvr.at>
To: Bas Zoetekouw <bas@debian.org>, 579640@bugs.debian.org
Subject: Re: cron complains about missing lost+found dirs
Date: Fri, 30 Apr 2010 14:05:54 +0200
[Message part 1 (text/plain, inline)]
Bas Zoetekouw wrote:
> Package: cron
> Version: 3.0pl1-105
> Severity: normal
> 
> Recently, cron has started complaining about missing lost+found
> directories on my ext3 filesystems:
> 
> | Some local filesystems do not have lost+found directories. This
> | means that these filesystems will not be able to recover
> | lost files when the filesystem is checked after a crash.
> | Consider creating a lost+found directory with mklost+found(8).
> 
> Please remove this "feature".  I have deleted the lost+found
> directories myself, and I don't need a daily (!) reminder of that.
> 
> Furthermore, if the lost+found directories are needed, they are
> created automatically by pass 3 of fsck.  Therefore, there is no need
> at all, on a normal system, to keep these directories, let alone to
> send a daily warning about them.

I will be addressing this issue in the coming week.


Christian

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
Bug#579640; Package cron. (Fri, 30 Apr 2010 12:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Kastner <debian@kvr.at>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>. (Fri, 30 Apr 2010 12:09:05 GMT) Full text and rfc822 format available.

Message #20 received at 579640@bugs.debian.org (full text, mbox):

From: Christian Kastner <debian@kvr.at>
To: Peter Chubb <peter.chubb@nicta.com.au>
Cc: 579640@bugs.debian.org
Subject: Re: cron complains about missing lost+found on XFS
Date: Fri, 30 Apr 2010 14:07:49 +0200
[Message part 1 (text/plain, inline)]
Peter Chubb wrote:
> Version: 3.0pl1-109
> Package: cron
> 
> XFS doesn't create or use lost+found by default, so there's no point
> in complaining it doesn't exist.

This was already reported in #577508. A fix is currently pending upload.


Christian

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) confirmed and pending. Request was from Christian Kastner <debian@kvr.at> to control@bugs.debian.org. (Sun, 08 May 2011 13:33:05 GMT) Full text and rfc822 format available.

Reply sent to Christian Kastner <debian@kvr.at>:
You have taken responsibility. (Mon, 30 May 2011 23:06:24 GMT) Full text and rfc822 format available.

Notification sent to Bas Zoetekouw <bas@debian.org>:
Bug acknowledged by developer. (Mon, 30 May 2011 23:06:24 GMT) Full text and rfc822 format available.

Message #27 received at 579640-close@bugs.debian.org (full text, mbox):

From: Christian Kastner <debian@kvr.at>
To: 579640-close@bugs.debian.org
Subject: Bug#579640: fixed in cron 3.0pl1-117
Date: Mon, 30 May 2011 23:02:31 +0000
Source: cron
Source-Version: 3.0pl1-117

We believe that the bug you reported is fixed in the latest version of
cron, which is due to be installed in the Debian FTP archive:

cron_3.0pl1-117.diff.gz
  to main/c/cron/cron_3.0pl1-117.diff.gz
cron_3.0pl1-117.dsc
  to main/c/cron/cron_3.0pl1-117.dsc
cron_3.0pl1-117_i386.deb
  to main/c/cron/cron_3.0pl1-117_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 579640@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Kastner <debian@kvr.at> (supplier of updated cron package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 08 May 2011 01:21:15 +0200
Source: cron
Binary: cron
Architecture: source i386
Version: 3.0pl1-117
Distribution: unstable
Urgency: low
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
Changed-By: Christian Kastner <debian@kvr.at>
Description: 
 cron       - process scheduling daemon
Closes: 478967 537073 578856 579640 609780 615855 622645 625491 625493 625495 627859
Changes: 
 cron (3.0pl1-117) unstable; urgency=low
 .
   * Makefile:
     - Fixed integration of cron-internal debug code into the package building
       process. Instead of having to modify debian/rules, this can now driven by
       DEB_BUILD_OPTIONS=debug
     - Removed hard-coded compiler flags, honoring those provided by
       dpkg-buildflags instead
   * do_command.c:
     - When logging the end of cron jobs, log the PID of the actually exec'ed
       user command, not the PID of the parent. Closes: #609780
   * database.c:
     - Split crontab security checks (type, owner, mode, links) into separate
       tests with individual error messages instead of the cryptic message
       "WRONG INODE INFO". Closes: #625493
     - Extended the ability to recover from broken symlinks (added in -110) to
       also recover from failed security checks above. Fixes to these were not
       being detected as cron only looks at mtime. Closes: #625495
     - Also recover from syntax errors. Fixes to these did change mtime, but
       were ignored as cron permanently removes broken crontabs from its
       database of files to check. Closes: #627859
   * cron.8:
     - Documented the fact that /etc/crontab and files in /etc/cron.d must not
       be group- or other-writable. Closes: #625491, LP: #741979
   * crontab.5:
     - Specify parse order of crontabs (thanks, Jonathan Amery). Closes: #622645
   * debian/control:
     - Bumped Standards-Version to 3.9.2 (no changes needed)
     - Added missing Build-Depends on libaudit-dev
     - Removed Conflicts for nonexistent package suidmanager
     - Removed Conflicts for lockfile-progs (which should have been a Breaks
       anyway) as we no longer rely on it, we use flock from util-linux instead
     - Changed architecture-specific Build-Depends on libselinux1-dev to
       linux-any instead of negating all other OSes
   * debian/cron.default:
     - Merged the LSBNAMES option with EXTRA_OPTS. Both where used to pass
       options to the daemon, making one of them redundant
     - Added the ability to disable the daily lost+found check by setting the
       new variable CHECK_LOSTFOUND to "no". Closes: #579640
   * debian/cron.init:
     - Don't call start-stop-daemon directly, use LSB init functions instead.
       Among other things, this works around the cron daemon not deleting its
       pidfile from /var/run/. Closes: #615855
     - Added $network to Should-Start
   * debian/rules:
     - Converted to dh syntax. This included replacing some manually executed
       steps with debhelper file-automated ones (eg: cron.man, cron.examples)
       to lessen clutter
     - Completely rewrote the PAM/SELinux/audit integration parts. PAM support
       was being skipped on kfreebsd and hurd, and audit support was completely
       broken. From now on:
       + PAM is enabled by default on all platforms
       + SELinux is enabled by default on linux-any
       + audit is disabled by default on all platforms
       All of these can be driven by DEB_BUILD_OPTIONS (see debian/rules)
     - Do not compress example perl scripts
   * debian/{prerm,postrm,postinst}:
     - Let dh_installinit manage stopping/(re)starting of jobs instead of
       calling invoke-rc.d ourselves
   * debian/standard.daily:
     - Backup of /etc/{passd,group} is no longer performed by cron; the task
       was handed over to src:shadow (see #554170). In Squeeze, this task will
       be performed redundantly by both packages (as discussed on
       debian-release)
     - Rewrite locking and lost+found-checking code, based on a submission to
       the BTS by Justin B. Rye. Closes: #478967, #537073, LP: #257367
     - Parse /etc/mtab instead of /proc/mounts; the former makes handling bind
       mounts easier. Closes: #578856
     - Pull in /etc/cron/default for CHECK_LOSTFOUND (see above)
   * debian/copyright:
     - Convert to DEP5 format (r173)
   * debian/watch:
     - Added watch file to silence a lintian warning, even though the last
       upstream release was in 2004
   * Packaging (general): removed a lot of cruft which seems to have accumulated
     over time. This included all the cron-se stuff, which appears to have been
     a remnant from the SELinux integration process, and was either not being
     used anymore or completely broken. Also, the patches/ directory was
     removed, as that location has a specific meaning and the patches in there
     were no longer relevant.
Checksums-Sha1: 
 b05295fceecdd9702c66dfb3b561c0f0bb1481f9 1219 cron_3.0pl1-117.dsc
 1d69b6cd9eb94bd0201f70700892028676a7e874 88976 cron_3.0pl1-117.diff.gz
 43c7665efa16c0eb55401cb6145026f56bae31a9 95814 cron_3.0pl1-117_i386.deb
Checksums-Sha256: 
 6719500e6714d797b21bc1dccc44d03332a909f4a76832515e6c0b3856dc4927 1219 cron_3.0pl1-117.dsc
 1705799cac874cfa171064d8a9764140fcf3618c8f004e01f5eeda5dd47898e7 88976 cron_3.0pl1-117.diff.gz
 28d7f2917dc40e211b269e41d7f9e0661c9a1167a6297a49db780d21c1e73fbb 95814 cron_3.0pl1-117_i386.deb
Files: 
 ce23eb8cacdfbeefdd79f77bbb87fbcb 1219 admin important cron_3.0pl1-117.dsc
 757abb9a1f1c65da068d2e1cb945996b 88976 admin important cron_3.0pl1-117.diff.gz
 a4c1e1d0ecfbd1253f4e7cb59bec6a2a 95814 admin important cron_3.0pl1-117_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFN5BSOsandgtyBSwkRAj03AJ4pRKEmbLXXN2LLWI/DxGtDAqdKTwCeM3jL
l8/VkIFBH9WaJWiSZrQDr4k=
=DDkG
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions cron/3.0pl1-117 and reopened. Request was from Bas Zoetekouw <bas@debian.org> to control@bugs.debian.org. (Wed, 15 Jun 2011 09:33:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions cron/3.0pl1-118. Request was from Bas Zoetekouw <bas@debian.org> to control@bugs.debian.org. (Wed, 15 Jun 2011 09:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
Bug#579640; Package cron. (Wed, 15 Jun 2011 09:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bas Zoetekouw <bas@debian.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>. (Wed, 15 Jun 2011 09:36:06 GMT) Full text and rfc822 format available.

Message #36 received at 579640@bugs.debian.org (full text, mbox):

From: Bas Zoetekouw <bas@debian.org>
To: control@bugs.debian.org
Cc: 579640@bugs.debian.org
Subject: cron complains about missing lost+found dirs
Date: Wed, 15 Jun 2011 11:24:51 +0200
reopen 579640
thanks

I'm reopening this bug: cron is still complaining about missing
lost+found dirs.  Please remove this "functionality".

What exactly is this supposed to achieve anyway?  Missing lost+found
dirs are quite unharmful as fsck will create them automatically if
required.

-- 
+--------------------------------------------------------------+
| Bas Zoetekouw      | Sweet day, so cool, so calm, so bright, |
|--------------------| The bridall of the earth and skie:      |
| bas@zoetekouw.net  | The dew shall weep thy fall tonight;    |
+--------------------|                    For thou must die.   |
                     +-----------------------------------------+




Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
Bug#579640; Package cron. (Wed, 20 Jul 2011 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Kastner <debian@kvr.at>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>. (Wed, 20 Jul 2011 22:39:03 GMT) Full text and rfc822 format available.

Message #41 received at 579640@bugs.debian.org (full text, mbox):

From: Christian Kastner <debian@kvr.at>
To: Bas Zoetekouw <bas@debian.org>, 579640@bugs.debian.org
Subject: Re: Bug#579640: cron complains about missing lost+found dirs
Date: Thu, 21 Jul 2011 00:35:48 +0200
[Message part 1 (text/plain, inline)]
Sorry for the late reply.

On 06/15/2011 11:24 AM, Bas Zoetekouw wrote:
> I'm reopening this bug: cron is still complaining about missing
> lost+found dirs.  Please remove this "functionality".

Well, we closed it in -117 because we added the option to disable the
check to /etc/default/cron, we considered that to be a sufficient
solution to the issue.

> What exactly is this supposed to achieve anyway?  Missing lost+found
> dirs are quite unharmful as fsck will create them automatically if
> required.

It's mostly about the second function provided by this script:
periodically reporting about files it finds *within* lost+found.

Anyway, the /etc/cron.daily/standard script is being phased out of the
cron package, which should also completely resolve this issue.


Christian

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
Bug#579640; Package cron. (Thu, 12 Jan 2012 08:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to <andyc@bluearc.com>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>. (Thu, 12 Jan 2012 08:42:05 GMT) Full text and rfc822 format available.

Message #46 received at 579640@bugs.debian.org (full text, mbox):

From: Andrew Chittenden <achittenden@bluearc.com>
To: Debian Bug Tracking System <579640@bugs.debian.org>
Subject: Re: cron complains about missing lost+found dirs
Date: Thu, 12 Jan 2012 08:31:48 +0000
Package: cron
Version: 3.0pl1-120
Followup-For: Bug #579640

Since installing autofs5, all active automounts have been complained
about. For example, when /home/andyc and /var/chroot/ia32/home/andyc
have been automounted:

/etc/cron.daily/standard:

Some local file systems lack a lost+found directory. This means if the
file system is damaged and needs to be repaired, fsck will not have
anywhere to put stray files for recovery. You should consider creating
a lost+found directory with mklost+found(8).

The following lost+found directories were not available:

/home/andyc/lost+found
/var/chroot/ia32/home/andyc/lost+found

-- Package-specific info:
--- EDITOR:
not set

--- /usr/bin/editor:
/usr/bin/vim.basic

--- /usr/bin/crontab:
-rwxr-sr-x 1 root crontab 34048 Sep 18 22:21 /usr/bin/crontab

--- /var/spool/cron:
drwxr-xr-x 5 root root 4096 May 17  2011 /var/spool/cron

--- /var/spool/cron/crontabs:
drwx-wx--T 2 root crontab 4096 Jun 27  2011 /var/spool/cron/crontabs

--- /etc/cron.d:
drwxr-xr-x 2 root root 4096 Nov 25 08:36 /etc/cron.d

--- /etc/cron.daily:
drwxr-xr-x 2 root root 4096 Jan  9 14:31 /etc/cron.daily

--- /etc/cron.hourly:
drwxr-xr-x 2 root root 4096 Sep 22 08:24 /etc/cron.hourly

--- /etc/cron.monthly:
drwxr-xr-x 2 root root 4096 Sep 22 08:24 /etc/cron.monthly

--- /etc/cron.weekly:
drwxr-xr-x 2 root root 4096 Jan  3 12:45 /etc/cron.weekly


-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (500, 'oldstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/12 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages cron depends on:
ii  adduser         3.113
ii  debianutils     4.1
ii  dpkg            1.16.1.2
ii  libc6           2.13-24
ii  libpam-runtime  1.1.3-6
ii  libpam0g        1.1.3-6
ii  libselinux1     2.1.0-4
ii  lsb-base        3.2-28

Versions of packages cron recommends:
ii  exim4                                      4.77-1
ii  exim4-daemon-light [mail-transport-agent]  4.77-1+b1

Versions of packages cron suggests:
ii  anacron        2.3-14
ii  checksecurity  <none>
ii  logrotate      3.8.1-1

Versions of packages cron is related to:
pn  libnss-ldap   <none>
pn  libnss-ldapd  <none>
pn  libpam-ldap   <none>
pn  libpam-mount  <none>
pn  nis           3.17-32
pn  nscd          <none>

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
Bug#579640; Package cron. (Mon, 16 Jan 2012 21:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Flavio Stanchina <flavio@stanchina.net>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>. (Mon, 16 Jan 2012 21:27:07 GMT) Full text and rfc822 format available.

Message #51 received at 579640@bugs.debian.org (full text, mbox):

From: Flavio Stanchina <flavio@stanchina.net>
To: 579640@bugs.debian.org
Subject: lost+found check triggers on bind-mounted subdir
Date: Mon, 16 Jan 2012 22:13:34 +0100
I upgraded cron yesterday and I now received this warning:

  The following lost+found directories were not available:
  /srv/lost+found

Here, /srv is a bind mount of a subdirectory in another filesystem, so it's 
perfectly normal that there isn't a lost+found directory there. I'm not 
going to argue about the absolute usefulness of the test, as this has 
already been done extensively in previous discussion, and I have now 
disabled it, but I think this specific problem is worth fixing if at all 
possible.

-- 
Ciao, Flavio

Those who do not understand Unix are condemned to reinvent it, poorly.
-- Henry Spencer




Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
Bug#579640; Package cron. (Fri, 20 Jan 2012 10:15:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andy Chittenden <andyc@bluearc.com>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>. (Fri, 20 Jan 2012 10:15:39 GMT) Full text and rfc822 format available.

Message #56 received at 579640@bugs.debian.org (full text, mbox):

From: Andy Chittenden <andyc@bluearc.com>
To: Christian Kastner <debian@kvr.at>
Cc: "579640@bugs.debian.org" <579640@bugs.debian.org>
Subject: RE: Bug#579640: cron complains about missing lost+found dirs
Date: Fri, 20 Jan 2012 10:11:33 +0000
Hi Christian

> > /home/andyc/lost+found
> > /var/chroot/ia32/home/andyc/lost+found

> If those are ext{2,3,4} filesystems, the script is working as expected,
> ie those filesystems are missing the lost+found directory. 

They're part of an ext4 filesystem. IE the filesystem itself is:

# ls /u277
andyc  lost+found

And the automounter has made /u277/andyc available as /home/andyc

So, /home/andyc is not at the root of the filesystem.

IE the check that the script is making is wrong when presented with autofs5 automounted directories.

> ... You can
> disable this check in /etc/default/cron.
I've done that.

> ...  we will probably have to drop
> this script from Wheezy altogether.

Thanks for that info. In the presence of the autofs5 automounter, I don't think it can be made to work.

-- 
Andy, BlueArc Engineering, now part of Hitachi Data Systems




Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
Bug#579640; Package cron. (Fri, 20 Jan 2012 10:21:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Kastner <debian@kvr.at>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>. (Fri, 20 Jan 2012 10:21:52 GMT) Full text and rfc822 format available.

Message #61 received at 579640@bugs.debian.org (full text, mbox):

From: Christian Kastner <debian@kvr.at>
To: andyc@bluearc.com
Cc: 579640@bugs.debian.org
Subject: Re: Bug#579640: cron complains about missing lost+found dirs
Date: Fri, 20 Jan 2012 10:46:07 +0100
[Message part 1 (text/plain, inline)]
Hi,

On 2012-01-12 09:31, Andrew Chittenden wrote:
> Since installing autofs5, all active automounts have been complained
> about. For example, when /home/andyc and /var/chroot/ia32/home/andyc
> have been automounted:
> 
> /etc/cron.daily/standard:
> 
> Some local file systems lack a lost+found directory. This means if the
> file system is damaged and needs to be repaired, fsck will not have
> anywhere to put stray files for recovery. You should consider creating
> a lost+found directory with mklost+found(8).
> 
> The following lost+found directories were not available:
> 
> /home/andyc/lost+found
> /var/chroot/ia32/home/andyc/lost+found

If those are ext{2,3,4} filesystems, the script is working as expected,
ie those filesystems are missing the lost+found directory. You can
disable this check in /etc/default/cron.

If those are bind mounts*), the issue here is that /etc/mtab recently
became a symlink to /proc/mounts, which doesn't store information about
bind mounts. Effectively, this means that we will probably have to drop
this script from Wheezy altogether. (It would have been moved out of the
cron package anyway)

Christian


*) I'm not sure if automount can do this, just speculating here

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
Bug#579640; Package cron. (Fri, 20 Jan 2012 10:21:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Kastner <debian@kvr.at>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>. (Fri, 20 Jan 2012 10:22:02 GMT) Full text and rfc822 format available.

Message #66 received at 579640@bugs.debian.org (full text, mbox):

From: Christian Kastner <debian@kvr.at>
To: Flavio Stanchina <flavio@stanchina.net>, Javier Fernández-Sanguino Peña <jfs@computer.org>
Cc: 579640@bugs.debian.org
Subject: Re: Bug#579640: lost+found check triggers on bind-mounted subdir
Date: Fri, 20 Jan 2012 10:49:21 +0100
[Message part 1 (text/plain, inline)]
Hi,

On 2012-01-16 22:13, Flavio Stanchina wrote:
> I upgraded cron yesterday and I now received this warning:
> 
>   The following lost+found directories were not available:
>   /srv/lost+found
> 
> Here, /srv is a bind mount of a subdirectory in another filesystem, so
> it's perfectly normal that there isn't a lost+found directory there. I'm
> not going to argue about the absolute usefulness of the test, as this
> has already been done extensively in previous discussion, and I have now
> disabled it, but I think this specific problem is worth fixing if at all
> possible.

with /etc/mtab now being a symlink to /proc/mounts (which doesn't store
information about bind mounts), I believe we will have to disable this
check altogether.

Christian


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
Bug#579640; Package cron. (Fri, 20 Jan 2012 19:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>. (Fri, 20 Jan 2012 19:24:03 GMT) Full text and rfc822 format available.

Message #71 received at 579640@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Christian Kastner <debian@kvr.at>
Cc: Flavio Stanchina <flavio@stanchina.net>, 579640@bugs.debian.org
Subject: Re: Bug#579640: lost+found check triggers on bind-mounted subdir
Date: Fri, 20 Jan 2012 20:21:00 +0100
[Message part 1 (text/plain, inline)]
On Fri, Jan 20, 2012 at 10:49:21AM +0100, Christian Kastner wrote:
> with /etc/mtab now being a symlink to /proc/mounts (which doesn't store
> information about bind mounts), I believe we will have to disable this
> check altogether.

Maybe we have to, but if that information is no longer readily available I
would think this is an undesired behaviour. Where can one determine now if
a mounted filesystem uses a bind mount?

Regards

Javier
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
Bug#579640; Package cron. (Sat, 21 Jan 2012 15:15:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Kastner <debian@kvr.at>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>. (Sat, 21 Jan 2012 15:15:13 GMT) Full text and rfc822 format available.

Message #76 received at 579640@bugs.debian.org (full text, mbox):

From: Christian Kastner <debian@kvr.at>
To: Javier Fernández-Sanguino Peña <jfs@computer.org>
Cc: Flavio Stanchina <flavio@stanchina.net>, 579640@bugs.debian.org
Subject: Re: Bug#579640: lost+found check triggers on bind-mounted subdir
Date: Sat, 21 Jan 2012 16:10:56 +0100
On 2012-01-20 20:21, Javier Fernández-Sanguino Peña wrote:
> On Fri, Jan 20, 2012 at 10:49:21AM +0100, Christian Kastner wrote:
>> with /etc/mtab now being a symlink to /proc/mounts (which doesn't store
>> information about bind mounts), I believe we will have to disable this
>> check altogether.
> 
> Maybe we have to, but if that information is no longer readily available I
> would think this is an undesired behaviour. Where can one determine now if
> a mounted filesystem uses a bind mount?

From what I checked, nowhere -- hence why I think we have to disable it;
it's unfixable.

This was also the reason why we switched grabbing the mount information
from the mount(8) to /etc/mtab in -117 (to close #578856); /etc/mtab was
the only place that stored this kind of information.

Regards,
Christian




Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
Bug#579640; Package cron. (Mon, 30 Jan 2012 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kari Pahula <kaol@debian.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>. (Mon, 30 Jan 2012 17:09:03 GMT) Full text and rfc822 format available.

Message #81 received at 579640@bugs.debian.org (full text, mbox):

From: Kari Pahula <kaol@debian.org>
To: Christian Kastner <debian@kvr.at>, Flavio Stanchina <flavio@stanchina.net>, 579640@bugs.debian.org
Subject: Re: Bug#579640: lost+found check triggers on bind-mounted subdir
Date: Mon, 30 Jan 2012 18:54:15 +0200
On Fri, Jan 20, 2012 at 08:21:00PM +0100, Javier Fernández-Sanguino Peña wrote:
> On Fri, Jan 20, 2012 at 10:49:21AM +0100, Christian Kastner wrote:
> > with /etc/mtab now being a symlink to /proc/mounts (which doesn't store
> > information about bind mounts), I believe we will have to disable this
> > check altogether.
> 
> Maybe we have to, but if that information is no longer readily available I
> would think this is an undesired behaviour. Where can one determine now if
> a mounted filesystem uses a bind mount?

/proc/self/mountinfo




Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#579640; Package cron. (Mon, 30 Jan 2012 22:12:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Kastner <debian@kvr.at>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Mon, 30 Jan 2012 22:12:14 GMT) Full text and rfc822 format available.

Message #86 received at 579640@bugs.debian.org (full text, mbox):

From: Christian Kastner <debian@kvr.at>
To: Kari Pahula <kaol@debian.org>, 579640@bugs.debian.org
Cc: Flavio Stanchina <flavio@stanchina.net>
Subject: Re: Bug#579640: lost+found check triggers on bind-mounted subdir
Date: Mon, 30 Jan 2012 23:09:58 +0100
On 2012-01-30 17:54, Kari Pahula wrote:
> On Fri, Jan 20, 2012 at 08:21:00PM +0100, Javier Fernández-Sanguino Peña wrote:
>> On Fri, Jan 20, 2012 at 10:49:21AM +0100, Christian Kastner wrote:
>>> with /etc/mtab now being a symlink to /proc/mounts (which doesn't store
>>> information about bind mounts), I believe we will have to disable this
>>> check altogether.
>>
>> Maybe we have to, but if that information is no longer readily available I
>> would think this is an undesired behaviour. Where can one determine now if
>> a mounted filesystem uses a bind mount?
> 
> /proc/self/mountinfo

Well, indeed! I guess I was fixated on seeing the "bind" option
somewhere, and a search was unsuccessful. This looks fine, though.

Thanks,
Christian




Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#579640; Package cron. (Fri, 23 Mar 2012 07:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Fri, 23 Mar 2012 07:45:03 GMT) Full text and rfc822 format available.

Message #91 received at 579640@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Christian Kastner <debian@kvr.at>
Cc: Kari Pahula <kaol@debian.org>, 579640@bugs.debian.org, Flavio Stanchina <flavio@stanchina.net>
Subject: Re: Bug#579640: lost+found check triggers on bind-mounted subdir
Date: Fri, 23 Mar 2012 08:43:40 +0100
severity 579640 important
thanks

On Mon, 30 Jan 2012, Christian Kastner wrote:
> On 2012-01-30 17:54, Kari Pahula wrote:
> > On Fri, Jan 20, 2012 at 08:21:00PM +0100, Javier Fernández-Sanguino Peña wrote:
> >> On Fri, Jan 20, 2012 at 10:49:21AM +0100, Christian Kastner wrote:
> >>> with /etc/mtab now being a symlink to /proc/mounts (which doesn't store
> >>> information about bind mounts), I believe we will have to disable this
> >>> check altogether.
> >>
> >> Maybe we have to, but if that information is no longer readily available I
> >> would think this is an undesired behaviour. Where can one determine now if
> >> a mounted filesystem uses a bind mount?
> > 
> > /proc/self/mountinfo
> 
> Well, indeed! I guess I was fixated on seeing the "bind" option
> somewhere, and a search was unsuccessful. This looks fine, though.

I'm not sure why you insist in keeping that feature working while
it has been said that the recovery tools do create the needed directories
by themselves.

Anyway, when can we see a fix for this?

At the very least, you should disable the check by default... because
it's too likely that users will get annoyed and the number of comments
and people reopening that bug make it obvious that this is the case.

I'm raising the severity because it would be nice to see it fixed
for wheezy.

Thank you for your work on this core package!

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/liberation/




Severity set to 'important' from 'normal' Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Fri, 23 Mar 2012 07:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#579640; Package cron. (Sat, 24 Mar 2012 10:33:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Sat, 24 Mar 2012 10:33:38 GMT) Full text and rfc822 format available.

Message #98 received at 579640@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Raphael Hertzog <hertzog@debian.org>, 579640@bugs.debian.org
Cc: Christian Kastner <debian@kvr.at>, Kari Pahula <kaol@debian.org>, Flavio Stanchina <flavio@stanchina.net>
Subject: Re: Bug#579640: lost+found check triggers on bind-mounted subdir
Date: Sat, 24 Mar 2012 11:30:31 +0100
[Message part 1 (text/plain, inline)]
On Fri, Mar 23, 2012 at 08:43:40AM +0100, Raphael Hertzog wrote:
> I'm not sure why you insist in keeping that feature working while
> it has been said that the recovery tools do create the needed directories
> by themselves.

We are planning on removing it, just not gotten around to do it yet.

> Anyway, when can we see a fix for this?

"Soon" or "when time permits"

> I'm raising the severity because it would be nice to see it fixed
> for wheezy.

I'm sure we can get it fixed before then.

Regards

Javier
[signature.asc (application/pgp-signature, inline)]

Reply sent to Javier Fernández-Sanguino Peña <jfs@debian.org>:
You have taken responsibility. (Sat, 23 Jun 2012 07:06:03 GMT) Full text and rfc822 format available.

Notification sent to Bas Zoetekouw <bas@debian.org>:
Bug acknowledged by developer. (Sat, 23 Jun 2012 07:06:04 GMT) Full text and rfc822 format available.

Message #103 received at 579640-close@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@debian.org>
To: 579640-close@bugs.debian.org
Subject: Bug#579640: fixed in cron 3.0pl1-123
Date: Sat, 23 Jun 2012 07:02:39 +0000
Source: cron
Source-Version: 3.0pl1-123

We believe that the bug you reported is fixed in the latest version of
cron, which is due to be installed in the Debian FTP archive:

cron_3.0pl1-123.diff.gz
  to main/c/cron/cron_3.0pl1-123.diff.gz
cron_3.0pl1-123.dsc
  to main/c/cron/cron_3.0pl1-123.dsc
cron_3.0pl1-123_i386.deb
  to main/c/cron/cron_3.0pl1-123_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 579640@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Javier Fernández-Sanguino Peña <jfs@debian.org> (supplier of updated cron package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 23 Jun 2012 08:28:27 +0200
Source: cron
Binary: cron
Architecture: source i386
Version: 3.0pl1-123
Distribution: unstable
Urgency: low
Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Changed-By: Javier Fernández-Sanguino Peña <jfs@debian.org>
Description: 
 cron       - process scheduling daemon
Closes: 579640 620164 658743 660879 662605 666892
Changes: 
 cron (3.0pl1-123) unstable; urgency=low
 .
   * debian/standard.daily: Apply patch from Steve Allison to prevent checking
      two times the same filesystem. This prevents bogus warnings about missing
      lost+found in schroot bind mounts (Closes: #660879)
   * debian/rules: Apply patch from Steve Langasek to add cross compiler
     support to cron (Closes: #666892)
   * debian/cron.default, debian/standard.daily, debian/rules: Remove
     the lost+found check as this is no longer required and causes
     issues with some filesystems (e.g. bind mounts, locally mounted USB
     drives). Additionally, in some filesystems the directory
     will be generated when required. (Closes: #620164, #658743, #662605,
     #660879, #579640)
Checksums-Sha1: 
 8c1278f401fdd7aedba97ab92babf4da1700b169 1267 cron_3.0pl1-123.dsc
 6a9e223a1c6dc363b68b072e111432733f06ef0e 96004 cron_3.0pl1-123.diff.gz
 cc6d4475edb417e200e775452545fbb5a50c6376 105750 cron_3.0pl1-123_i386.deb
Checksums-Sha256: 
 efe450ab87b2274e906b210c79a5c9ee11adb549f41cc3ffe04b6f5305585819 1267 cron_3.0pl1-123.dsc
 9b5b0825bd03c910ee7a431a0519f2918481604e572dc00405efb84de58be3a1 96004 cron_3.0pl1-123.diff.gz
 d9818739563f4670d4ecff1c2b57cf3b80b0000fc3eea5d5bc67fa73585474b0 105750 cron_3.0pl1-123_i386.deb
Files: 
 64b46252ffc605ff1624d9858c5c44e1 1267 admin important cron_3.0pl1-123.dsc
 72cd016278eba652007b49645e72aee2 96004 admin important cron_3.0pl1-123.diff.gz
 89ef9c7e2e9c1ee1814061f021d806a8 105750 admin important cron_3.0pl1-123_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFP5WUssandgtyBSwkRAseqAJ4vOJsCWK9ODmMbJITKz0k7CR3ZkQCcC3o/
K0mluBEyGP4a1VBO02KS04g=
=4IQb
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#579640; Package cron. (Tue, 03 Jul 2012 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Cooper <ecc@cooper-siegel.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Tue, 03 Jul 2012 19:30:03 GMT) Full text and rfc822 format available.

Message #108 received at 579640@bugs.debian.org (full text, mbox):

From: Eric Cooper <ecc@cooper-siegel.org>
To: Debian Bug Tracking System <579640@bugs.debian.org>
Subject: Re: cron complains about missing lost+found dirs
Date: Tue, 03 Jul 2012 15:27:36 -0400
Package: cron
Version: 3.0pl1-123
Followup-For: Bug #579640

The commented-out CHECK_LOSTFOUND line was removed from
/etc/default/cron, and the changelog claims the check was removed, but
the code is still in /etc/cron.daily/standard:

    # sh /etc/cron.daily/standard 

    Some local file systems lack a lost+found directory. This means if the
    file system is damaged and needs to be repaired, fsck will not have
    anywhere to put stray files for recovery. You should consider creating
    a lost+found directory with mklost+found(8).

    The following lost+found directories were not available:

    /var/lost+found

(/var is a bind-mount to a subtree on this system).

-- Package-specific info:
--- EDITOR:
not set

--- /usr/bin/editor:
/usr/bin/nvi

--- /usr/bin/crontab:
-rwxr-sr-x 1 root crontab 35880 Jun 23 03:15 /usr/bin/crontab

--- /var/spool/cron:
drwxr-xr-x 5 root root 4096 Mar 12  2010 /var/spool/cron

--- /var/spool/cron/crontabs:
drwx-wx--T 2 root crontab 4096 Nov 30  2011 /var/spool/cron/crontabs

--- /etc/cron.d:
drwxr-xr-x 2 root root 4096 Jul  3 15:06 /etc/cron.d

--- /etc/cron.daily:
drwxr-xr-x 2 root root 4096 Jul  3 15:06 /etc/cron.daily

--- /etc/cron.hourly:
drwxr-xr-x 2 root root 4096 Jul  3 15:06 /etc/cron.hourly

--- /etc/cron.monthly:
drwxr-xr-x 2 root root 4096 Jul  3 15:06 /etc/cron.monthly

--- /etc/cron.weekly:
drwxr-xr-x 2 root root 4096 Jul  3 15:06 /etc/cron.weekly


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (400, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages cron depends on:
ii  adduser         3.113+nmu3
ii  debianutils     4.3.1
ii  dpkg            1.16.4.3
ii  libc6           2.13-33
ii  libpam-runtime  1.1.3-7.1
ii  libpam0g        1.1.3-7.1
ii  libselinux1     2.1.9-5
ii  lsb-base        4.1+Debian7

Versions of packages cron recommends:
ii  postfix [mail-transport-agent]  2.9.3-2

Versions of packages cron suggests:
ii  anacron        2.3-19
pn  checksecurity  <none>
ii  logrotate      3.8.1-4

Versions of packages cron is related to:
pn  libnss-ldap   <none>
pn  libnss-ldapd  <none>
pn  libpam-ldap   <none>
pn  libpam-mount  <none>
pn  nis           <none>
pn  nscd          <none>

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#579640; Package cron. (Tue, 03 Jul 2012 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Fernandez-Sanguino <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Tue, 03 Jul 2012 21:45:05 GMT) Full text and rfc822 format available.

Message #113 received at 579640@bugs.debian.org (full text, mbox):

From: Javier Fernandez-Sanguino <jfs@computer.org>
To: Eric Cooper <ecc@cooper-siegel.org>, 579640@bugs.debian.org
Subject: Re: Bug#579640: cron complains about missing lost+found dirs
Date: Tue, 3 Jul 2012 23:21:28 +0200
On 03/07/2012, Eric Cooper <ecc@cooper-siegel.org> wrote:
> The commented-out CHECK_LOSTFOUND line was removed from
> /etc/default/cron, and the changelog claims the check was removed, but
> the code is still in /etc/cron.daily/standard:

This is because the file did not get removed (see bug #679062). This
will be fixed in the next upload.

Regards

Javier




Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#579640; Package cron. (Sun, 22 Jul 2012 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nye Liu <nyet@nyet.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Sun, 22 Jul 2012 16:45:04 GMT) Full text and rfc822 format available.

Message #118 received at 579640@bugs.debian.org (full text, mbox):

From: Nye Liu <nyet@nyet.org>
To: Debian Bug Tracking System <579640@bugs.debian.org>
Subject: cron: In modern installs, /etc/mtab is a symbolic link to /proc/mount
Date: Sun, 22 Jul 2012 09:03:56 -0700
Package: cron
Version: 3.0pl1-123
Followup-For: Bug #579640


In modern installs, /etc/mtab is a symbolic link to /proc/mount

http://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg929554.html

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=494001

This bug needs to be fixed properly.

-- Package-specific info:
--- EDITOR:


--- /usr/bin/editor:
/usr/bin/vim.basic

--- /usr/bin/crontab:
-rwxr-sr-x 1 root crontab 34760 Jun 22 23:38 /usr/bin/crontab

--- /var/spool/cron:
drwxr-xr-x 5 root root 4096 Mar  3  2001 /var/spool/cron

--- /var/spool/cron/crontabs:
drwx-wx--T 2 root crontab 4096 Jun  5  2010 /var/spool/cron/crontabs

--- /etc/cron.d:
drwxr-xr-x 2 root root 4096 Jun 26 08:48 /etc/cron.d

--- /etc/cron.daily:
drwxr-xr-x 2 root root 4096 Jul 18 12:33 /etc/cron.daily

--- /etc/cron.hourly:
drwxr-xr-x 2 root root 4096 Jun 26 08:48 /etc/cron.hourly

--- /etc/cron.monthly:
drwxr-xr-x 2 root root 4096 Jun 26 08:48 /etc/cron.monthly

--- /etc/cron.weekly:
drwxr-xr-x 2 root root 4096 Jul 13 15:29 /etc/cron.weekly


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages cron depends on:
ii  adduser                      3.102       Add and remove users and groups
ii  debianutils                  4.3         Miscellaneous utilities specific t
ii  dpkg                         1.16.0.3    Debian package management system
ii  libc6                        2.13-33     Embedded GNU C Library: Shared lib
ii  libpam-runtime               1.1.3-7.1   Runtime support for the PAM librar
ii  libpam0g                     1.1.3-7.1   Pluggable Authentication Modules l
ii  libselinux1                  2.0.85-4    SELinux runtime shared libraries
ii  lsb-base                     4.1+Debian6 Linux Standard Base 4.1 init scrip

Versions of packages cron recommends:
ii  exim4                         4.80-4     metapackage to ease Exim MTA (v4) 
ii  exim4-daemon-light [mail-tran 4.80-4     lightweight Exim MTA (v4) daemon

Versions of packages cron is related to:
pn  libnss-ldap                   <none>     (no description available)
pn  libnss-ldapd                  <none>     (no description available)
pn  libpam-ldap                   <none>     (no description available)
pn  libpam-mount                  <none>     (no description available)
pn  nis                           <none>     (no description available)
pn  nscd                          <none>     (no description available)

-- no debconf information



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 20 Aug 2012 07:26:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:06:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.